import 'package:flutter/material.dart';

class StreckeUSpurbedingungen extends StatefulWidget {
  final TextEditingController kmAutoController;
  final TextEditingController kmFussController;
  final TextEditingController kmRadController;
  final TextEditingController spGutController;
  final TextEditingController spMittelController;
  final TextEditingController spSchlechtController;

  const StreckeUSpurbedingungen({
      required this.kmAutoController,
      required this.kmFussController,
      required this.kmRadController,
      required this.spGutController,
      required this.spMittelController,
      required this.spSchlechtController,
      super.key});

  @override
  StreckeUSpurbedingungenState createState() => StreckeUSpurbedingungenState();
}

class StreckeUSpurbedingungenState extends State<StreckeUSpurbedingungen> {
  @override
  Widget build(BuildContext context) {
    return Column(
      children: [
        Align(
            alignment: Alignment.bottomLeft,
            child: Text(
              "Zurueckgelegte Strecke (km)",
              style:
                  TextStyle(fontSize: 16, decoration: TextDecoration.underline),
            )),
        Row(
          children: [
            Expanded(child: Text("Auto")),
            Expanded(child: TextField(keyboardType: TextInputType.number, controller: widget.kmAutoController,)),
            Expanded(child: Center(child: Text("="))),
            Expanded(child: Center(child: Text(""))),
            Expanded(child: Center(child: Text("%"))),
          ],
        ),
        Row(
          children: [
            Expanded(child: Text("zu Fuss")),
            Expanded(child: TextField(keyboardType: TextInputType.number, controller: widget.kmFussController)),
            Expanded(child: Center(child: Text("="))),
            Expanded(child: Center(child: Text(""))),
            Expanded(child: Center(child: Text("%"))),
          ],
        ),
        Row(
          children: [
            Expanded(child: Text("Rad")),
            Expanded(child: TextField(keyboardType: TextInputType.number, controller: widget.kmRadController)),
            Expanded(child: Center(child: Text("="))),
            Expanded(child: Center(child: Text(""))),
            Expanded(child: Center(child: Text("%"))),
          ],
        ),
        const SizedBox(
          height: 20,
        ),
        Row(
          children: [
            Expanded(
              flex: 1,
              child: Text("Gesamt:"),
            ),
            Expanded(
              flex: 3,
              child: Align(
                alignment: Alignment.bottomLeft,
                child: Text("data"),
              ),
            )
          ],
        ),
        const SizedBox(
          height: 20,
        ),
        Align(
          alignment: Alignment.bottomLeft,
          child: Text(
            "Spurbedingungen (km)",
            style:
                TextStyle(fontSize: 16, decoration: TextDecoration.underline),
          ),
        ),
        Row(
          children: [
            Expanded(child: Text("Gut")),
            Expanded(child: TextField(keyboardType: TextInputType.number, controller: widget.spGutController)),
            Expanded(child: Center(child: Text("="))),
            Expanded(child: Center(child: Text(""))),
            Expanded(child: Center(child: Text("%"))),
          ],
        ),
        Row(
          children: [
            Expanded(child: Text("Mittel")),
            Expanded(child: TextField(keyboardType: TextInputType.number, controller: widget.spMittelController)),
            Expanded(child: Center(child: Text("="))),
            Expanded(child: Center(child: Text(""))),
            Expanded(child: Center(child: Text("%"))),
          ],
        ),
        Row(
          children: [
            Expanded(child: Text("Schlecht")),
            Expanded(child: TextField(keyboardType: TextInputType.number, controller: widget.spSchlechtController,)),
            Expanded(child: Center(child: Text("="))),
            Expanded(child: Center(child: Text(""))),
            Expanded(child: Center(child: Text("%"))),
          ],
        ),
      ],
    );
  }
}
